Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.jdo.annotations
Annotation Type Embedded

    @Target(value={FIELD,METHOD})
    @Retention(value=RUNTIME)
    public @interface Embedded

Annotation to define that the object is embedded into the table of the owning object. Corresponds to the xml element "embedded".

Since:
  2.1
Version:
  2.1

Optional Element Summary
`Persistent[]` | `members` Members for this embedding.
`java.lang.String` | `nullIndicatorColumn` The column in the embedded object used to judge if the embedded object is null.
`java.lang.String` | `nullIndicatorValue` The value in the null column to interpret the object as being null.
`java.lang.String` | `ownerMember` The member in the embedded object that links back to the owning object where it has a bidirectional relationship.

### ownerMember

    public abstract java.lang.String ownerMember

  The member in the embedded object that links back to the owning object where it has a bidirectional relationship.

  Returns:
    the member that refers to the owner
  Default:
    ""

### nullIndicatorColumn

    public abstract java.lang.String nullIndicatorColumn

  The column in the embedded object used to judge if the embedded object is null.

  Returns:
    the null indicator column
  Default:
    ""

### nullIndicatorValue

    public abstract java.lang.String nullIndicatorValue

  The value in the null column to interpret the object as being null.

  Returns:
    the null indicator value
  Default:
    ""

### members

    public abstract Persistent[] members

  Members for this embedding.

  Returns:
    the members embedded in the field or property being annotated
  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.